## golang-github-ovn-org-libovsdb 0.6.0

=== Makefile ===
.PHONY: all
all: lint build test integration-test coverage

.PHONY: prebuild
prebuild: 
	@echo "+ $@"
	@mkdir -p bin
	@go build -v -o ./bin ./cmd/modelgen
	@[ -f example/vswitchd/ovs.ovsschema ] || curl -o example/vswitchd/ovs.ovsschema https://raw.githubusercontent.com/openvswitch/ovs/v2.15.0/vswitchd/vswitch.ovsschema
	@go generate -v ./...

.PHONY: build
build: prebuild 
	@echo "+ $@"
	@go build -v ./...

.PHONY: test
test:
	@echo "+ $@"
	@go test -race -coverprofile=unit.cov -test.short -timeout 30s -v ./...

.PHONY: integration-test
integration-test:
	@echo "+ $@"
	@go test -race -coverprofile=integration.cov -coverpkg=github.com/ovn-org/libovsdb/... -timeout 60s -v ./test/ovs

.PHONY: coverage
coverage: test integration-test
	@sed -i '1d' integration.cov
	@cat unit.cov integration.cov > profile.cov

.PHONY: bench
bench: install-deps
	@echo "+ $@"
	@go test -run=XXX -count=3 -bench=. ./... | tee bench.out
	@benchstat bench.out

.PHONY: install-deps
install-deps:
	@echo "+ $@"
	@golangci-lint --version
	@go install golang.org/x/perf/cmd/benchstat@latest

.PHONY: lint
lint: install-deps prebuild
	@echo "+ $@"
	@golangci-lint run

=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.6.0-2) unstable; urgency=medium

  * Source-only upload for migration
  * Update prometheus-client-golang package name for Build-Depends and Depends
    in d/control
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 06 Jan 2024 01:30:40 +0000

golang-github-ovn-org-libovsdb (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #1059454)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 30 Dec 2023 00:57:52 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Don't build binaries or examples and skip a test that expects Open vSwitch/docker to be available
export DH_GOLANG_EXCLUDES := cmd/ example/ test/ovs

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-ovn-org-libovsdb 0.6.0+git20230912.239822f

=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.6.0+git20230912.239822f-1) unstable; urgency=medium

  * Update to a snapshot version, which is required to build incus
  * Add a patch to fix test failure on 32bit architectures

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 06 Jan 2024 16:36:44 +0000

=== debian/control ===
Source: golang-github-ovn-org-libovsdb
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-cenkalti-backoff-dev,
               golang-github-cenkalti-rpc2-dev,
               golang-github-go-logr-logr-dev,
               golang-github-go-logr-stdr-dev,
               golang-github-google-uuid-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-text-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb.git
Homepage: https://github.com/ovn-org/libovsdb
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/ovn-org/libovsdb

Package: golang-github-ovn-org-libovsdb-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-cenkalti-backoff-dev,
         golang-github-cenkalti-rpc2-dev,
         golang-github-go-logr-logr-dev,
         golang-github-go-logr-stdr-dev,
         golang-github-google-uuid-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-text-dev,
         ${misc:Depends}
Description: OVSDB Client Library
 OVSDB is the Open vSwitch Database Protocol. It's defined in RFC 7047
 and is used mainly for managing configuration of Open vSwitch and OVN.

## golang-github-ovn-org-libovsdb 0.6.0+git20240125.03f787b

=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.6.0+git20240125.03f787b-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 01 Jul 2024 10:24:41 +0000

golang-github-ovn-org-libovsdb (0.6.0+git20240125.03f787b-1) unstable; urgency=medium

  * Update to current snapshot required by Incus
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 28 Jun 2024 14:10:24 +0000

## golang-github-ovn-org-libovsdb 0.7.0

=== Makefile ===
OVS_VERSION ?= v2.16.0

.PHONY: all
all: lint build test integration-test coverage

.PHONY: modelgen
modelgen:
	@mkdir -p bin
	@go build -v -o ./bin ./cmd/modelgen

.PHONY: prebuild
prebuild: modelgen ovsdb/serverdb/_server.ovsschema example/vswitchd/ovs.ovsschema
	@echo "+ $@"
	@go generate -v ./...

.PHONY: build
build: prebuild 
	@echo "+ $@"
	@go build -v ./...

.PHONY: test
test: prebuild
	@echo "+ $@"
	@go test -race -coverprofile=unit.cov -test.short -timeout 30s -v ./...

.PHONY: integration-test
integration-test:
	@echo "+ $@"
	@go test -race -coverprofile=integration.cov -coverpkg=github.com/ovn-org/libovsdb/... -timeout 60s -v ./test/ovs

.PHONY: coverage
coverage: test integration-test
	@sed -i '1d' integration.cov
	@cat unit.cov integration.cov > profile.cov

.PHONY: bench
bench: install-deps prebuild
	@echo "+ $@"
	@go test -run=XXX -count=3 -bench=. ./... | tee bench.out
	@benchstat bench.out

.PHONY: install-deps
install-deps:
	@echo "+ $@"
	@go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.49.0
	@golangci-lint --version
	@go install golang.org/x/perf/cmd/benchstat@latest

.PHONY: lint
lint: install-deps prebuild
	@echo "+ $@"
	@golangci-lint run

ovsdb/serverdb/_server.ovsschema:
	@curl -sSL https://raw.githubusercontent.com/openvswitch/ovs/${OVS_VERSION}/ovsdb/_server.ovsschema -o $@

example/vswitchd/ovs.ovsschema:
	@curl -sSL https://raw.githubusercontent.com/openvswitch/ovs/${OVS_VERSION}/vswitchd/vswitch.ovsschema -o $@

=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jul 2024 18:37:55 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-text-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb.git
 Homepage: https://github.com/ovn-org/libovsdb

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,11 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+
+# This is kind of hacky... modelgen/table_test.go depends on codegen from the examples, which in turn
+# depend on the modelgen binary that we don't build. Rather than trying to figure out some way to get
+# it to work, just don't package that file. (I couldn't figure out a nice way to add just the file to
+# DH_GOLANG_EXCLUDES, so manually remove it prior to the build.)
+override_dh_auto_configure:
+	dh_auto_configure
+	rm _build/src/github.com/ovn-org/libovsdb/modelgen/table_test.go

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/ovn-org/libovsdb/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-ovn-org-libovsdb 0.8.1

=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.8.1-2) unstable; urgency=medium

  * Drop transitional package golang-github-ovn-org-libovsdb-dev

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 25 Oct 2025 15:04:46 +0000

golang-github-ovn-org-libovsdb (0.8.1-1) unstable; urgency=medium

  * New upstream release
    - Update patch for test failures on 32bit architectures
  * Rename binary package golang-github-ovn-org-libovsdb-dev to
    golang-github-ovn-kubernetes-libovsdb-dev to reflect change in upstream's
    repository move:
    - Update d/control, d/copyright, d/rules, d/u/metadata, and d/watch as
      part of this change
    - Make golang-github-ovn-org-libovsdb-dev a transitional package and add a
      Breaks for incus
  * d/control:
    - Update Build-Depends and Depends
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Drop redundant Rules-Requires-Root
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 18 Oct 2025 16:21:21 +0000

=== debian/control ===
--- 
+++ 
@@ -11,24 +11,25 @@
                golang-github-cenkalti-rpc2-dev,
                golang-github-go-logr-logr-dev,
                golang-github-go-logr-stdr-dev,
+               golang-github-go-playground-validator-v10-dev (>= 10.28.0),
                golang-github-google-uuid-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-text-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb.git
-Homepage: https://github.com/ovn-org/libovsdb
-Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/ovn-org/libovsdb
+Homepage: https://github.com/ovn-kubernetes/libovsdb
+XS-Go-Import-Path: github.com/ovn-kubernetes/libovsdb
 
-Package: golang-github-ovn-org-libovsdb-dev
+Package: golang-github-ovn-kubernetes-libovsdb-dev
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-cenkalti-backoff-dev,
          golang-github-cenkalti-rpc2-dev,
          golang-github-go-logr-logr-dev,
          golang-github-go-logr-stdr-dev,
+         golang-github-go-playground-validator-v10-dev (>= 10.28.0),
          golang-github-google-uuid-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-stretchr-testify-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 # DH_GOLANG_EXCLUDES, so manually remove it prior to the build.)
 override_dh_auto_configure:
 	dh_auto_configure
-	rm _build/src/github.com/ovn-org/libovsdb/modelgen/table_test.go
+	rm _build/src/github.com/ovn-kubernetes/libovsdb/modelgen/table_test.go

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/ovn-kubernetes/libovsdb/tags .*/v?(\d\S*)\.tar\.gz debian
